| # Makefile.in generated by automake 1.15.1 from Makefile.am. |
| # @configure_input@ |
| |
| # Copyright (C) 1994-2017 Free Software Foundation, Inc. |
| |
| # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. |
| |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| # PARTICULAR PURPOSE. |
| |
| @SET_MAKE@ |
| |
| # |
| # Copyright (C) 1993-2021 Free Software Foundation, Inc. |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 3 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program. If not, see <http://www.gnu.org/licenses/>. |
| |
| # |
| # Copyright (C) 1997-2021 Free Software Foundation, Inc. |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 3 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program. If not, see <http://www.gnu.org/licenses/>. |
| |
| # Parts of the common/ sim code that have been unified. |
| # Most still lives in common/Make-common.in. |
| |
| # The IGEN simulator generator for GDB, the GNU Debugger. |
| # |
| # Copyright 2002-2021 Free Software Foundation, Inc. |
| # |
| # Contributed by Andrew Cagney. |
| # |
| # This file is part of GDB. |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 3 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program. If not, see <http://www.gnu.org/licenses/>. |
| |
| # |
| # Copyright (C) 1997-2021 Free Software Foundation, Inc. |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 3 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program. If not, see <http://www.gnu.org/licenses/>. |
| |
| # Copyright (C) 1997-2021 Free Software Foundation, Inc. |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 3 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program. If not, see <http://www.gnu.org/licenses/>. |
| |
| |
| VPATH = @srcdir@ |
| am__is_gnu_make = { \ |
| if test -z '$(MAKELEVEL)'; then \ |
| false; \ |
| elif test -n '$(MAKE_HOST)'; then \ |
| true; \ |
| elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \ |
| true; \ |
| else \ |
| false; \ |
| fi; \ |
| } |
| am__make_running_with_option = \ |
| case $${target_option-} in \ |
| ?) ;; \ |
| *) echo "am__make_running_with_option: internal error: invalid" \ |
| "target option '$${target_option-}' specified" >&2; \ |
| exit 1;; \ |
| esac; \ |
| has_opt=no; \ |
| sane_makeflags=$$MAKEFLAGS; \ |
| if $(am__is_gnu_make); then \ |
| sane_makeflags=$$MFLAGS; \ |
| else \ |
| case $$MAKEFLAGS in \ |
| *\\[\ \ ]*) \ |
| bs=\\; \ |
| sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ |
| | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ |
| esac; \ |
| fi; \ |
| skip_next=no; \ |
| strip_trailopt () \ |
| { \ |
| flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ |
| }; \ |
| for flg in $$sane_makeflags; do \ |
| test $$skip_next = yes && { skip_next=no; continue; }; \ |
| case $$flg in \ |
| *=*|--*) continue;; \ |
| -*I) strip_trailopt 'I'; skip_next=yes;; \ |
| -*I?*) strip_trailopt 'I';; \ |
| -*O) strip_trailopt 'O'; skip_next=yes;; \ |
| -*O?*) strip_trailopt 'O';; \ |
| -*l) strip_trailopt 'l'; skip_next=yes;; \ |
| -*l?*) strip_trailopt 'l';; \ |
| -[dEDm]) skip_next=yes;; \ |
| -[JT]) skip_next=yes;; \ |
| esac; \ |
| case $$flg in \ |
| *$$target_option*) has_opt=yes; break;; \ |
| esac; \ |
| done; \ |
| test $$has_opt = yes |
| am__make_dryrun = (target_option=n; $(am__make_running_with_option)) |
| am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) |
| pkgdatadir = $(datadir)/@PACKAGE@ |
| pkgincludedir = $(includedir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ |
| pkglibexecdir = $(libexecdir)/@PACKAGE@ |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c |
| INSTALL_HEADER = $(INSTALL_DATA) |
| transform = $(program_transform_name) |
| NORMAL_INSTALL = : |
| PRE_INSTALL = : |
| POST_INSTALL = : |
| NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : |
| POST_UNINSTALL = : |
| build_triplet = @build@ |
| host_triplet = @host@ |
| target_triplet = @target@ |
| check_PROGRAMS = $(am__EXEEXT_3) |
| EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \ |
| testsuite/common/fpu-tst$(EXEEXT) |
| |
| # This makes sure igen is available before building the arch-subdirs which |
| # need to run the igen tool. |
| @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT) |
| @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS) |
| @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS) |
| TESTS = testsuite/common/bits32m0$(EXEEXT) \ |
| testsuite/common/bits32m31$(EXEEXT) \ |
| testsuite/common/bits64m0$(EXEEXT) \ |
| testsuite/common/bits64m63$(EXEEXT) \ |
| testsuite/common/alu-tst$(EXEEXT) |
| subdir = . |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \ |
| $(top_srcdir)/../config/depstand.m4 \ |
| $(top_srcdir)/../config/gettext-sister.m4 \ |
| $(top_srcdir)/../config/lead-dot.m4 \ |
| $(top_srcdir)/../config/override.m4 \ |
| $(top_srcdir)/../config/pkg.m4 \ |
| $(top_srcdir)/../config/plugins.m4 \ |
| $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \ |
| $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \ |
| $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_alignment.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_assert.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_debug.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_endian.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_environment.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_hardware.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_inline.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_profile.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_reserved_bits.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_scache.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_stdio.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_trace.m4 \ |
| $(top_srcdir)/m4/sim_ac_option_warnings.m4 \ |
| $(top_srcdir)/m4/sim_ac_platform.m4 \ |
| $(top_srcdir)/m4/sim_ac_toolchain.m4 \ |
| $(top_srcdir)/frv/acinclude.m4 $(top_srcdir)/rx/acinclude.m4 \ |
| $(top_srcdir)/configure.ac |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| $(ACLOCAL_M4) |
| DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \ |
| $(am__configure_deps) $(pkginclude_HEADERS) |
| am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ |
| configure.lineno config.status.lineno |
| mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs |
| CONFIG_HEADER = config.h |
| CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \ |
| arm/Makefile.sim avr/Makefile.sim bfin/Makefile.sim \ |
| cr16/Makefile.sim cris/Makefile.sim d10v/Makefile.sim \ |
| frv/Makefile.sim ft32/Makefile.sim h8300/Makefile.sim \ |
| iq2000/Makefile.sim lm32/Makefile.sim m32c/Makefile.sim \ |
| m32r/Makefile.sim m68hc11/Makefile.sim mcore/Makefile.sim \ |
| microblaze/Makefile.sim moxie/Makefile.sim msp430/Makefile.sim \ |
| pru/Makefile.sim rl78/Makefile.sim rx/Makefile.sim \ |
| sh/Makefile.sim erc32/Makefile.sim \ |
| example-synacor/Makefile.sim arch-subdir.mk |
| CONFIG_CLEAN_VPATH_FILES = |
| LIBRARIES = $(noinst_LIBRARIES) |
| ARFLAGS = cru |
| AM_V_AR = $(am__v_AR_@AM_V@) |
| am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@) |
| am__v_AR_0 = @echo " AR " $@; |
| am__v_AR_1 = |
| common_libcommon_a_AR = $(AR) $(ARFLAGS) |
| common_libcommon_a_LIBADD = |
| am__dirstamp = $(am__leading_dot)dirstamp |
| am_common_libcommon_a_OBJECTS = \ |
| common/common_libcommon_a-portability.$(OBJEXT) \ |
| common/common_libcommon_a-sim-load.$(OBJEXT) \ |
| common/common_libcommon_a-version.$(OBJEXT) |
| common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS) |
| igen_libigen_a_AR = $(AR) $(ARFLAGS) |
| igen_libigen_a_LIBADD = |
| @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT) |
| igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT) |
| @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1) |
| am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \ |
| testsuite/common/bits32m31$(EXEEXT) \ |
| testsuite/common/bits64m0$(EXEEXT) \ |
| testsuite/common/bits64m63$(EXEEXT) \ |
| testsuite/common/alu-tst$(EXEEXT) |
| am_igen_filter_OBJECTS = |
| igen_filter_OBJECTS = $(am_igen_filter_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a |
| AM_V_lt = $(am__v_lt_@AM_V@) |
| am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@) |
| am__v_lt_0 = --silent |
| am__v_lt_1 = |
| am_igen_gen_OBJECTS = |
| igen_gen_OBJECTS = $(am_igen_gen_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT) |
| igen_igen_OBJECTS = $(am_igen_igen_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a |
| am_igen_ld_cache_OBJECTS = |
| igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a |
| am_igen_ld_decode_OBJECTS = |
| igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a |
| am_igen_ld_insn_OBJECTS = |
| igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a |
| am_igen_table_OBJECTS = |
| igen_table_OBJECTS = $(am_igen_table_OBJECTS) |
| @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a |
| testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c |
| testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT) |
| testsuite_common_alu_tst_LDADD = $(LDADD) |
| testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c |
| testsuite_common_bits_gen_OBJECTS = \ |
| testsuite/common/bits-gen.$(OBJEXT) |
| testsuite_common_bits_gen_LDADD = $(LDADD) |
| testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c |
| testsuite_common_bits32m0_OBJECTS = \ |
| testsuite/common/bits32m0.$(OBJEXT) |
| testsuite_common_bits32m0_LDADD = $(LDADD) |
| testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c |
| testsuite_common_bits32m31_OBJECTS = \ |
| testsuite/common/bits32m31.$(OBJEXT) |
| testsuite_common_bits32m31_LDADD = $(LDADD) |
| testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c |
| testsuite_common_bits64m0_OBJECTS = \ |
| testsuite/common/bits64m0.$(OBJEXT) |
| testsuite_common_bits64m0_LDADD = $(LDADD) |
| testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c |
| testsuite_common_bits64m63_OBJECTS = \ |
| testsuite/common/bits64m63.$(OBJEXT) |
| testsuite_common_bits64m63_LDADD = $(LDADD) |
| testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c |
| testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT) |
| testsuite_common_fpu_tst_LDADD = $(LDADD) |
| AM_V_P = $(am__v_P_@AM_V@) |
| am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) |
| am__v_P_0 = false |
| am__v_P_1 = : |
| AM_V_GEN = $(am__v_GEN_@AM_V@) |
| am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) |
| am__v_GEN_0 = @echo " GEN " $@; |
| am__v_GEN_1 = |
| AM_V_at = $(am__v_at_@AM_V@) |
| am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) |
| am__v_at_0 = @ |
| am__v_at_1 = |
| DEFAULT_INCLUDES = -I.@am__isrc@ |
| depcomp = $(SHELL) $(top_srcdir)/../depcomp |
| am__depfiles_maybe = depfiles |
| am__mv = mv -f |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \ |
| $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \ |
| $(AM_CFLAGS) $(CFLAGS) |
| AM_V_CC = $(am__v_CC_@AM_V@) |
| am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@) |
| am__v_CC_0 = @echo " CC " $@; |
| am__v_CC_1 = |
| CCLD = $(CC) |
| LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ |
| $(AM_LDFLAGS) $(LDFLAGS) -o $@ |
| AM_V_CCLD = $(am__v_CCLD_@AM_V@) |
| am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@) |
| am__v_CCLD_0 = @echo " CCLD " $@; |
| am__v_CCLD_1 = |
| SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \ |
| $(igen_filter_SOURCES) $(igen_gen_SOURCES) \ |
| $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \ |
| $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \ |
| $(igen_table_SOURCES) testsuite/common/alu-tst.c \ |
| testsuite/common/bits-gen.c testsuite/common/bits32m0.c \ |
| testsuite/common/bits32m31.c testsuite/common/bits64m0.c \ |
| testsuite/common/bits64m63.c testsuite/common/fpu-tst.c |
| RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \ |
| ctags-recursive dvi-recursive html-recursive info-recursive \ |
| install-data-recursive install-dvi-recursive \ |
| install-exec-recursive install-html-recursive \ |
| install-info-recursive install-pdf-recursive \ |
| install-ps-recursive install-recursive installcheck-recursive \ |
| installdirs-recursive pdf-recursive ps-recursive \ |
| tags-recursive uninstall-recursive |
| am__can_run_installinfo = \ |
| case $$AM_UPDATE_INFO_DIR in \ |
| n|no|NO) false;; \ |
| *) (install-info --version) >/dev/null 2>&1;; \ |
| esac |
| am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; |
| am__vpath_adj = case $$p in \ |
| $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ |
| *) f=$$p;; \ |
| esac; |
| am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`; |
| am__install_max = 40 |
| am__nobase_strip_setup = \ |
| srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'` |
| am__nobase_strip = \ |
| for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||" |
| am__nobase_list = $(am__nobase_strip_setup); \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \ |
| $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \ |
| if (++n[$$2] == $(am__install_max)) \ |
| { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \ |
| END { for (dir in files) print dir, files[dir] }' |
| am__base_list = \ |
| sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \ |
| sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g' |
| am__uninstall_files_from_dir = { \ |
| test -z "$$files" \ |
| || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \ |
| || { echo " ( cd '$$dir' && rm -f" $$files ")"; \ |
| $(am__cd) "$$dir" && rm -f $$files; }; \ |
| } |
| am__installdirs = "$(DESTDIR)$(pkgincludedir)" |
| HEADERS = $(pkginclude_HEADERS) |
| RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ |
| distclean-recursive maintainer-clean-recursive |
| am__recursive_targets = \ |
| $(RECURSIVE_TARGETS) \ |
| $(RECURSIVE_CLEAN_TARGETS) \ |
| $(am__extra_recursive_targets) |
| AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ |
| cscope check recheck |
| am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \ |
| $(LISP)config.h.in |
| # Read a list of newline-separated strings from the standard input, |
| # and print each of them once, without duplicates. Input order is |
| # *not* preserved. |
| am__uniquify_input = $(AWK) '\ |
| BEGIN { nonempty = 0; } \ |
| { items[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in items) print i; }; } \ |
| ' |
| # Make sure the list of sources is unique. This is necessary because, |
| # e.g., the same source file might be shared among _SOURCES variables |
| # for different programs/libraries. |
| am__define_uniq_tagged_files = \ |
| list='$(am__tagged_files)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | $(am__uniquify_input)` |
| ETAGS = etags |
| CTAGS = ctags |
| CSCOPE = cscope |
| DEJATOOL = $(PACKAGE) |
| RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir |
| EXPECT = expect |
| RUNTEST = runtest |
| am__tty_colors_dummy = \ |
| mgn= red= grn= lgn= blu= brg= std=; \ |
| am__color_tests=no |
| am__tty_colors = { \ |
| $(am__tty_colors_dummy); \ |
| if test "X$(AM_COLOR_TESTS)" = Xno; then \ |
| am__color_tests=no; \ |
| elif test "X$(AM_COLOR_TESTS)" = Xalways; then \ |
| am__color_tests=yes; \ |
| elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \ |
| am__color_tests=yes; \ |
| fi; \ |
| if test $$am__color_tests = yes; then \ |
| red='[0;31m'; \ |
| grn='[0;32m'; \ |
| lgn='[1;32m'; \ |
| blu='[1;34m'; \ |
| mgn='[0;35m'; \ |
| brg='[1m'; \ |
| std='[m'; \ |
| fi; \ |
| } |
| am__recheck_rx = ^[ ]*:recheck:[ ]* |
| am__global_test_result_rx = ^[ ]*:global-test-result:[ ]* |
| am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]* |
| # A command that, given a newline-separated list of test names on the |
| # standard input, print the name of the tests that are to be re-run |
| # upon "make recheck". |
| am__list_recheck_tests = $(AWK) '{ \ |
| recheck = 1; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| { \ |
| if ((getline line2 < ($$0 ".log")) < 0) \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \ |
| { \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \ |
| { \ |
| break; \ |
| } \ |
| }; \ |
| if (recheck) \ |
| print $$0; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # A command that, given a newline-separated list of test names on the |
| # standard input, create the global log from their .trs and .log files. |
| am__create_global_log = $(AWK) ' \ |
| function fatal(msg) \ |
| { \ |
| print "fatal: making $@: " msg | "cat >&2"; \ |
| exit 1; \ |
| } \ |
| function rst_section(header) \ |
| { \ |
| print header; \ |
| len = length(header); \ |
| for (i = 1; i <= len; i = i + 1) \ |
| printf "="; \ |
| printf "\n\n"; \ |
| } \ |
| { \ |
| copy_in_global_log = 1; \ |
| global_test_result = "RUN"; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".trs"); \ |
| if (line ~ /$(am__global_test_result_rx)/) \ |
| { \ |
| sub("$(am__global_test_result_rx)", "", line); \ |
| sub("[ ]*$$", "", line); \ |
| global_test_result = line; \ |
| } \ |
| else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \ |
| copy_in_global_log = 0; \ |
| }; \ |
| if (copy_in_global_log) \ |
| { \ |
| rst_section(global_test_result ": " $$0); \ |
| while ((rc = (getline line < ($$0 ".log"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".log"); \ |
| print line; \ |
| }; \ |
| printf "\n"; \ |
| }; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # Restructured Text title. |
| am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; } |
| # Solaris 10 'make', and several other traditional 'make' implementations, |
| # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it |
| # by disabling -e (using the XSI extension "set +e") if it's set. |
| am__sh_e_setup = case $$- in *e*) set +e;; esac |
| # Default flags passed to test drivers. |
| am__common_driver_flags = \ |
| --color-tests "$$am__color_tests" \ |
| --enable-hard-errors "$$am__enable_hard_errors" \ |
| --expect-failure "$$am__expect_failure" |
| # To be inserted before the command running the test. Creates the |
| # directory for the log if needed. Stores in $dir the directory |
| # containing $f, in $tst the test, in $log the log. Executes the |
| # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and |
| # passes TESTS_ENVIRONMENT. Set up options for the wrapper that |
| # will run the test scripts (or their associated LOG_COMPILER, if |
| # thy have one). |
| am__check_pre = \ |
| $(am__sh_e_setup); \ |
| $(am__vpath_adj_setup) $(am__vpath_adj) \ |
| $(am__tty_colors); \ |
| srcdir=$(srcdir); export srcdir; \ |
| case "$@" in \ |
| */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \ |
| *) am__odir=.;; \ |
| esac; \ |
| test "x$$am__odir" = x"." || test -d "$$am__odir" \ |
| || $(MKDIR_P) "$$am__odir" || exit $$?; \ |
| if test -f "./$$f"; then dir=./; \ |
| elif test -f "$$f"; then dir=; \ |
| else dir="$(srcdir)/"; fi; \ |
| tst=$$dir$$f; log='$@'; \ |
| if test -n '$(DISABLE_HARD_ERRORS)'; then \ |
| am__enable_hard_errors=no; \ |
| else \ |
| am__enable_hard_errors=yes; \ |
| fi; \ |
| case " $(XFAIL_TESTS) " in \ |
| *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \ |
| am__expect_failure=yes;; \ |
| *) \ |
| am__expect_failure=no;; \ |
| esac; \ |
| $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT) |
| # A shell command to get the names of the tests scripts with any registered |
| # extension removed (i.e., equivalently, the names of the test logs, with |
| # the '.log' extension removed). The result is saved in the shell variable |
| # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly, |
| # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)", |
| # since that might cause problem with VPATH rewrites for suffix-less tests. |
| # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'. |
| am__set_TESTS_bases = \ |
| bases='$(TEST_LOGS)'; \ |
| bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \ |
| bases=`echo $$bases` |
| RECHECK_LOGS = $(TEST_LOGS) |
| TEST_SUITE_LOG = test-suite.log |
| TEST_EXTENSIONS = @EXEEXT@ .test |
| LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver |
| LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS) |
| am__set_b = \ |
| case '$@' in \ |
| */*) \ |
| case '$*' in \ |
| */*) b='$*';; \ |
| *) b=`echo '$@' | sed 's/\.log$$//'`; \ |
| esac;; \ |
| *) \ |
| b='$*';; \ |
| esac |
| am__test_logs1 = $(TESTS:=.log) |
| am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log) |
| TEST_LOGS = $(am__test_logs2:.test.log=.log) |
| TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver |
| TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \ |
| $(TEST_LOG_FLAGS) |
| DIST_SUBDIRS = $(SUBDIRS) |
| ACLOCAL = @ACLOCAL@ |
| AMTAR = @AMTAR@ |
| AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ |
| AR = @AR@ |
| AR_FOR_BUILD = @AR_FOR_BUILD@ |
| AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ |
| AWK = @AWK@ |
| CATALOGS = @CATALOGS@ |
| CATOBJEXT = @CATOBJEXT@ |
| CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ |
| CC_FOR_BUILD = @CC_FOR_BUILD@ |
| CFLAGS = @CFLAGS@ |
| CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@ |
| CGEN_MAINT = @CGEN_MAINT@ |
| CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ |
| CYGPATH_W = @CYGPATH_W@ |
| C_DIALECT = @C_DIALECT@ |
| DATADIRNAME = @DATADIRNAME@ |
| DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ |
| DSYMUTIL = @DSYMUTIL@ |
| DTC = @DTC@ |
| DUMPBIN = @DUMPBIN@ |
| ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ |
| FGREP = @FGREP@ |
| GENCAT = @GENCAT@ |
| GMSGFMT = @GMSGFMT@ |
| GREP = @GREP@ |
| INCINTL = @INCINTL@ |
| INSTALL = @INSTALL@ |
| INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| INSTOBJEXT = @INSTOBJEXT@ |
| LD = @LD@ |
| LDFLAGS = @LDFLAGS@ |
| LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@ |
| LIBINTL = @LIBINTL@ |
| LIBINTL_DEP = @LIBINTL_DEP@ |
| LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ |
| LIBTOOL = @LIBTOOL@ |
| LIPO = @LIPO@ |
| LN_S = @LN_S@ |
| LTLIBOBJS = @LTLIBOBJS@ |
| MAINT = @MAINT@ |
| MAKEINFO = @MAKEINFO@ |
| MKDIR_P = @MKDIR_P@ |
| NM = @NM@ |
| NMEDIT = @NMEDIT@ |
| OBJDUMP = @OBJDUMP@ |
| OBJEXT = @OBJEXT@ |
| OTOOL = @OTOOL@ |
| OTOOL64 = @OTOOL64@ |
| PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_URL = @PACKAGE_URL@ |
| PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ |
| PKGVERSION = @PKGVERSION@ |
| PKG_CONFIG = @PKG_CONFIG@ |
| PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@ |
| PKG_CONFIG_PATH = @PKG_CONFIG_PATH@ |
| POSUB = @POSUB@ |
| RANLIB = @RANLIB@ |
| RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@ |
| READLINE_CFLAGS = @READLINE_CFLAGS@ |
| READLINE_LIB = @READLINE_LIB@ |
| REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@ |
| REPORT_BUGS_TO = @REPORT_BUGS_TO@ |
| SDL_CFLAGS = @SDL_CFLAGS@ |
| SDL_LIBS = @SDL_LIBS@ |
| SED = @SED@ |
| SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ |
| SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@ |
| SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@ |
| SIM_FRV_TRAPDUMP_FLAGS = @SIM_FRV_TRAPDUMP_FLAGS@ |
| SIM_INLINE = @SIM_INLINE@ |
| SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@ |
| SIM_RX_CYCLE_ACCURATE_FLAGS = @SIM_RX_CYCLE_ACCURATE_FLAGS@ |
| SIM_SUBDIRS = @SIM_SUBDIRS@ |
| STRIP = @STRIP@ |
| TERMCAP_LIB = @TERMCAP_LIB@ |
| USE_NLS = @USE_NLS@ |
| VERSION = @VERSION@ |
| WARN_CFLAGS = @WARN_CFLAGS@ |
| WERROR_CFLAGS = @WERROR_CFLAGS@ |
| XGETTEXT = @XGETTEXT@ |
| abs_builddir = @abs_builddir@ |
| abs_srcdir = @abs_srcdir@ |
| abs_top_builddir = @abs_top_builddir@ |
| abs_top_srcdir = @abs_top_srcdir@ |
| ac_ct_CC = @ac_ct_CC@ |
| ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ |
| am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ |
| am__quote = @am__quote@ |
| am__tar = @am__tar@ |
| am__untar = @am__untar@ |
| bindir = @bindir@ |
| build = @build@ |
| build_alias = @build_alias@ |
| build_cpu = @build_cpu@ |
| build_os = @build_os@ |
| build_vendor = @build_vendor@ |
| builddir = @builddir@ |
| cgen = @cgen@ |
| cgendir = @cgendir@ |
| datadir = @datadir@ |
| datarootdir = @datarootdir@ |
| docdir = @docdir@ |
| dvidir = @dvidir@ |
| exec_prefix = @exec_prefix@ |
| host = @host@ |
| host_alias = @host_alias@ |
| host_cpu = @host_cpu@ |
| host_os = @host_os@ |
| host_vendor = @host_vendor@ |
| htmldir = @htmldir@ |
| includedir = @includedir@ |
| infodir = @infodir@ |
| install_sh = @install_sh@ |
| libdir = @libdir@ |
| libexecdir = @libexecdir@ |
| localedir = @localedir@ |
| localstatedir = @localstatedir@ |
| lt_cv_dlopen_libs = @lt_cv_dlopen_libs@ |
| mandir = @mandir@ |
| mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ |
| pdfdir = @pdfdir@ |
| prefix = @prefix@ |
| program_transform_name = @program_transform_name@ |
| psdir = @psdir@ |
| sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ |
| sim_bitsize = @sim_bitsize@ |
| sim_float = @sim_float@ |
| sim_hw_cflags = @sim_hw_cflags@ |
| sim_hw_sockser = @sim_hw_sockser@ |
| srcdir = @srcdir@ |
| subdirs = @subdirs@ |
| sysconfdir = @sysconfdir@ |
| target = @target@ |
| target_alias = @target_alias@ |
| target_cpu = @target_cpu@ |
| target_os = @target_os@ |
| target_vendor = @target_vendor@ |
| top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ |
| top_srcdir = @top_srcdir@ |
| zlibdir = @zlibdir@ |
| zlibinc = @zlibinc@ |
| AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects |
| ACLOCAL_AMFLAGS = -Im4 -I.. -I../config |
| srcroot = $(srcdir)/.. |
| SUBDIRS = @subdirs@ $(SIM_SUBDIRS) |
| AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET) |
| |
| # NB: libcommon.a isn't used directly by ports. We need a target for common |
| # objects to be a part of, and ports use the individual objects directly. |
| noinst_LIBRARIES = common/libcommon.a $(am__append_2) |
| CLEANFILES = common/version.c common/version.c-stamp \ |
| testsuite/common/bits-gen testsuite/common/bits32m0.c \ |
| testsuite/common/bits32m31.c testsuite/common/bits64m0.c \ |
| testsuite/common/bits64m63.c |
| DISTCLEANFILES = |
| MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \ |
| testrun.sum |
| AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS) |
| AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common |
| COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD) |
| LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@ |
| |
| # Deps to add to the all-recursive target. These are built before descending |
| # into any subdirs. |
| |
| # This makes sure common parts are available before building the arch-subdirs |
| # which will refer to these. |
| SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1) |
| pkginclude_HEADERS = \ |
| $(srcroot)/include/sim/callback.h \ |
| $(srcroot)/include/sim/sim.h |
| |
| common_libcommon_a_CPPFLAGS = \ |
| $(AM_CPPFLAGS) \ |
| -DSIM_COMMON_BUILD \ |
| -I../bfd \ |
| -I.. |
| |
| common_libcommon_a_SOURCES = \ |
| common/portability.c \ |
| common/sim-load.c \ |
| common/version.c |
| |
| @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/table.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen.c |
| |
| @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c |
| @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES = |
| @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a |
| @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/igen \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/filter \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/gen \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \ |
| @SIM_ENABLE_IGEN_TRUE@ igen/table |
| |
| |
| # Tweak the site.exp so it works with plain `runtest` from user. |
| EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp |
| testsuite_common_CPPFLAGS = \ |
| -I$(srcdir)/common \ |
| -I$(srcroot)/include \ |
| -I../bfd |
| |
| all: config.h |
| $(MAKE) $(AM_MAKEFLAGS) all-recursive |
| |
| .SUFFIXES: |
| .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs |
| am--refresh: Makefile |
| @: |
| $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps) |
| @for dep in $?; do \ |
| case '$(am__configure_deps)' in \ |
| *$$dep*) \ |
| echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \ |
| $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \ |
| && exit 0; \ |
| exit 1;; \ |
| esac; \ |
| done; \ |
| echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \ |
| $(am__cd) $(top_srcdir) && \ |
| $(AUTOMAKE) --foreign Makefile |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ |
| *config.status*) \ |
| echo ' $(SHELL) ./config.status'; \ |
| $(SHELL) ./config.status;; \ |
| *) \ |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \ |
| cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \ |
| esac; |
| $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty): |
| |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| $(SHELL) ./config.status --recheck |
| |
| $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) |
| $(am__cd) $(srcdir) && $(AUTOCONF) |
| $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps) |
| $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) |
| $(am__aclocal_m4_deps): |
| |
| config.h: stamp-h1 |
| @test -f $@ || rm -f stamp-h1 |
| @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1 |
| |
| stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status |
| @rm -f stamp-h1 |
| cd $(top_builddir) && $(SHELL) ./config.status config.h |
| $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) |
| ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) |
| rm -f stamp-h1 |
| touch $@ |
| |
| distclean-hdr: |
| -rm -f config.h stamp-h1 |
| Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| bfin/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/bfin/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| cris/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cris/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| frv/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/frv/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| iq2000/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/iq2000/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| lm32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/lm32/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| m32r/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32r/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| rx/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rx/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| erc32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/erc32/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| |
| clean-noinstLIBRARIES: |
| -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES) |
| common/$(am__dirstamp): |
| @$(MKDIR_P) common |
| @: > common/$(am__dirstamp) |
| common/$(DEPDIR)/$(am__dirstamp): |
| @$(MKDIR_P) common/$(DEPDIR) |
| @: > common/$(DEPDIR)/$(am__dirstamp) |
| common/common_libcommon_a-portability.$(OBJEXT): \ |
| common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp) |
| common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \ |
| common/$(DEPDIR)/$(am__dirstamp) |
| common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \ |
| common/$(DEPDIR)/$(am__dirstamp) |
| |
| common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp) |
| $(AM_V_at)-rm -f common/libcommon.a |
| $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD) |
| $(AM_V_at)$(RANLIB) common/libcommon.a |
| igen/$(am__dirstamp): |
| @$(MKDIR_P) igen |
| @: > igen/$(am__dirstamp) |
| igen/$(DEPDIR)/$(am__dirstamp): |
| @$(MKDIR_P) igen/$(DEPDIR) |
| @: > igen/$(DEPDIR)/$(am__dirstamp) |
| igen/table.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp) |
| igen/misc.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/filter.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| igen/gen.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| |
| @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp) |
| @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a |
| @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD) |
| @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a |
| |
| clean-checkPROGRAMS: |
| @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list || exit $$?; \ |
| test -n "$(EXEEXT)" || exit 0; \ |
| list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list |
| |
| igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/filter$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS) |
| |
| igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/gen$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS) |
| igen/igen.$(OBJEXT): igen/$(am__dirstamp) \ |
| igen/$(DEPDIR)/$(am__dirstamp) |
| |
| @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp) |
| @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT) |
| @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS) |
| |
| igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/ld-cache$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS) |
| |
| igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/ld-decode$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS) |
| |
| igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/ld-insn$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS) |
| |
| igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp) |
| @rm -f igen/table$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS) |
| testsuite/common/$(am__dirstamp): |
| @$(MKDIR_P) testsuite/common |
| @: > testsuite/common/$(am__dirstamp) |
| testsuite/common/$(DEPDIR)/$(am__dirstamp): |
| @$(MKDIR_P) testsuite/common/$(DEPDIR) |
| @: > testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/bits32m31.$(OBJEXT): \ |
| testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/bits64m63.$(OBJEXT): \ |
| testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \ |
| testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| |
| mostlyclean-compile: |
| -rm -f *.$(OBJEXT) |
| -rm -f common/*.$(OBJEXT) |
| -rm -f igen/*.$(OBJEXT) |
| -rm -f testsuite/common/*.$(OBJEXT) |
| |
| distclean-compile: |
| -rm -f *.tab.c |
| |
| @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@ |
| |
| .c.o: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\ |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $< |
| |
| .c.obj: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\ |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'` |
| |
| .c.lo: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\ |
| @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $< |
| |
| common/common_libcommon_a-portability.o: common/portability.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c |
| |
| common/common_libcommon_a-portability.obj: common/portability.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi` |
| |
| common/common_libcommon_a-sim-load.o: common/sim-load.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c |
| |
| common/common_libcommon_a-sim-load.obj: common/sim-load.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi` |
| |
| common/common_libcommon_a-version.o: common/version.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c |
| |
| common/common_libcommon_a-version.obj: common/version.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi` |
| |
| mostlyclean-libtool: |
| -rm -f *.lo |
| |
| clean-libtool: |
| -rm -rf .libs _libs |
| -rm -rf igen/.libs igen/_libs |
| -rm -rf testsuite/common/.libs testsuite/common/_libs |
| |
| distclean-libtool: |
| -rm -f libtool config.lt |
| install-pkgincludeHEADERS: $(pkginclude_HEADERS) |
| @$(NORMAL_INSTALL) |
| @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \ |
| if test -n "$$list"; then \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \ |
| fi; \ |
| for p in $$list; do \ |
| if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ |
| echo "$$d$$p"; \ |
| done | $(am__base_list) | \ |
| while read files; do \ |
| echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \ |
| $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \ |
| done |
| |
| uninstall-pkgincludeHEADERS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \ |
| files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \ |
| dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir) |
| |
| # This directory's subdirectories are mostly independent; you can cd |
| # into them and run 'make' without going through this Makefile. |
| # To change the values of 'make' variables: instead of editing Makefiles, |
| # (1) if the variable is set in 'config.status', edit 'config.status' |
| # (which will cause the Makefiles to be regenerated when you run 'make'); |
| # (2) otherwise, pass the desired values on the 'make' command line. |
| $(am__recursive_targets): |
| @fail=; \ |
| if $(am__make_keepgoing); then \ |
| failcom='fail=yes'; \ |
| else \ |
| failcom='exit 1'; \ |
| fi; \ |
| dot_seen=no; \ |
| target=`echo $@ | sed s/-recursive//`; \ |
| case "$@" in \ |
| distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ |
| *) list='$(SUBDIRS)' ;; \ |
| esac; \ |
| for subdir in $$list; do \ |
| echo "Making $$target in $$subdir"; \ |
| if test "$$subdir" = "."; then \ |
| dot_seen=yes; \ |
| local_target="$$target-am"; \ |
| else \ |
| local_target="$$target"; \ |
| fi; \ |
| ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ |
| || eval $$failcom; \ |
| done; \ |
| if test "$$dot_seen" = "no"; then \ |
| $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ |
| fi; test -z "$$fail" |
| |
| ID: $(am__tagged_files) |
| $(am__define_uniq_tagged_files); mkid -fID $$unique |
| tags: tags-recursive |
| TAGS: tags |
| |
| tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| set x; \ |
| here=`pwd`; \ |
| if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ |
| include_option=--etags-include; \ |
| empty_fix=.; \ |
| else \ |
| include_option=--include; \ |
| empty_fix=; \ |
| fi; \ |
| list='$(SUBDIRS)'; for subdir in $$list; do \ |
| if test "$$subdir" = .; then :; else \ |
| test ! -f $$subdir/TAGS || \ |
| set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ |
| fi; \ |
| done; \ |
| $(am__define_uniq_tagged_files); \ |
| shift; \ |
| if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| test -n "$$unique" || unique=$$empty_fix; \ |
| if test $$# -gt 0; then \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| "$$@" $$unique; \ |
| else \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| $$unique; \ |
| fi; \ |
| fi |
| ctags: ctags-recursive |
| |
| CTAGS: ctags |
| ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| $(am__define_uniq_tagged_files); \ |
| test -z "$(CTAGS_ARGS)$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$unique |
| |
| GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ |
| && $(am__cd) $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) "$$here" |
| cscope: cscope.files |
| test ! -s cscope.files \ |
| || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS) |
| clean-cscope: |
| -rm -f cscope.files |
| cscope.files: clean-cscope cscopelist |
| cscopelist: cscopelist-recursive |
| |
| cscopelist-am: $(am__tagged_files) |
| list='$(am__tagged_files)'; \ |
| case "$(srcdir)" in \ |
| [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ |
| *) sdir=$(subdir)/$(srcdir) ;; \ |
| esac; \ |
| for i in $$list; do \ |
| if test -f "$$i"; then \ |
| echo "$(subdir)/$$i"; \ |
| else \ |
| echo "$$sdir/$$i"; \ |
| fi; \ |
| done >> $(top_builddir)/cscope.files |
| |
| distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| -rm -f cscope.out cscope.in.out cscope.po.out cscope.files |
| site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG) |
| @echo 'Making a new site.exp file ...' |
| @echo '## these variables are automatically generated by make ##' >site.tmp |
| @echo '# Do not edit here. If you wish to override these values' >>site.tmp |
| @echo '# edit the last section' >>site.tmp |
| @echo 'set srcdir "$(srcdir)"' >>site.tmp |
| @echo "set objdir `pwd`" >>site.tmp |
| @echo 'set build_alias "$(build_alias)"' >>site.tmp |
| @echo 'set build_triplet $(build_triplet)' >>site.tmp |
| @echo 'set host_alias "$(host_alias)"' >>site.tmp |
| @echo 'set host_triplet $(host_triplet)' >>site.tmp |
| @echo 'set target_alias "$(target_alias)"' >>site.tmp |
| @echo 'set target_triplet $(target_triplet)' >>site.tmp |
| @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \ |
| echo "## Begin content included from file $$f. Do not modify. ##" \ |
| && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \ |
| && echo "## End content included from file $$f. ##" \ |
| || exit 1; \ |
| done >> site.tmp |
| @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp |
| @if test -f site.exp; then \ |
| sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \ |
| fi |
| @-rm -f site.bak |
| @test ! -f site.exp || mv site.exp site.bak |
| @mv site.tmp site.exp |
| |
| distclean-DEJAGNU: |
| -rm -f site.exp site.bak |
| -l='$(DEJATOOL)'; for tool in $$l; do \ |
| rm -f $$tool.sum $$tool.log; \ |
| done |
| |
| # Recover from deleted '.trs' file; this should ensure that |
| # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create |
| # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells |
| # to avoid problems with "make -n". |
| .log.trs: |
| rm -f $< $@ |
| $(MAKE) $(AM_MAKEFLAGS) $< |
| |
| # Leading 'am--fnord' is there to ensure the list of targets does not |
| # expand to empty, as could happen e.g. with make check TESTS=''. |
| am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck) |
| am--force-recheck: |
| @: |
| |
| $(TEST_SUITE_LOG): $(TEST_LOGS) |
| @$(am__set_TESTS_bases); \ |
| am__f_ok () { test -f "$$1" && test -r "$$1"; }; \ |
| redo_bases=`for i in $$bases; do \ |
| am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \ |
| done`; \ |
| if test -n "$$redo_bases"; then \ |
| redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \ |
| redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \ |
| if $(am__make_dryrun); then :; else \ |
| rm -f $$redo_logs && rm -f $$redo_results || exit 1; \ |
| fi; \ |
| fi; \ |
| if test -n "$$am__remaking_logs"; then \ |
| echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \ |
| "recursion detected" >&2; \ |
| elif test -n "$$redo_logs"; then \ |
| am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \ |
| fi; \ |
| if $(am__make_dryrun); then :; else \ |
| st=0; \ |
| errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \ |
| for i in $$redo_bases; do \ |
| test -f $$i.trs && test -r $$i.trs \ |
| || { echo "$$errmsg $$i.trs" >&2; st=1; }; \ |
| test -f $$i.log && test -r $$i.log \ |
| || { echo "$$errmsg $$i.log" >&2; st=1; }; \ |
| done; \ |
| test $$st -eq 0 || exit 1; \ |
| fi |
| @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \ |
| ws='[ ]'; \ |
| results=`for b in $$bases; do echo $$b.trs; done`; \ |
| test -n "$$results" || results=/dev/null; \ |
| all=` grep "^$$ws*:test-result:" $$results | wc -l`; \ |
| pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \ |
| fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \ |
| skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \ |
| xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \ |
| xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \ |
| error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \ |
| if test `expr $$fail + $$xpass + $$error` -eq 0; then \ |
| success=true; \ |
| else \ |
| success=false; \ |
| fi; \ |
| br='==================='; br=$$br$$br$$br$$br; \ |
| result_count () \ |
| { \ |
| if test x"$$1" = x"--maybe-color"; then \ |
| maybe_colorize=yes; \ |
| elif test x"$$1" = x"--no-color"; then \ |
| maybe_colorize=no; \ |
| else \ |
| echo "$@: invalid 'result_count' usage" >&2; exit 4; \ |
| fi; \ |
| shift; \ |
| desc=$$1 count=$$2; \ |
| if test $$maybe_colorize = yes && test $$count -gt 0; then \ |
| color_start=$$3 color_end=$$std; \ |
| else \ |
| color_start= color_end=; \ |
| fi; \ |
| echo "$${color_start}# $$desc $$count$${color_end}"; \ |
| }; \ |
| create_testsuite_report () \ |
| { \ |
| result_count $$1 "TOTAL:" $$all "$$brg"; \ |
| result_count $$1 "PASS: " $$pass "$$grn"; \ |
| result_count $$1 "SKIP: " $$skip "$$blu"; \ |
| result_count $$1 "XFAIL:" $$xfail "$$lgn"; \ |
| result_count $$1 "FAIL: " $$fail "$$red"; \ |
| result_count $$1 "XPASS:" $$xpass "$$red"; \ |
| result_count $$1 "ERROR:" $$error "$$mgn"; \ |
| }; \ |
| { \ |
| echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \ |
| $(am__rst_title); \ |
| create_testsuite_report --no-color; \ |
| echo; \ |
| echo ".. contents:: :depth: 2"; \ |
| echo; \ |
| for b in $$bases; do echo $$b; done \ |
| | $(am__create_global_log); \ |
| } >$(TEST_SUITE_LOG).tmp || exit 1; \ |
| mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \ |
| if $$success; then \ |
| col="$$grn"; \ |
| else \ |
| col="$$red"; \ |
| test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \ |
| fi; \ |
| echo "$${col}$$br$${std}"; \ |
| echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \ |
| echo "$${col}$$br$${std}"; \ |
| create_testsuite_report --maybe-color; \ |
| echo "$$col$$br$$std"; \ |
| if $$success; then :; else \ |
| echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \ |
| if test -n "$(PACKAGE_BUGREPORT)"; then \ |
| echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \ |
| fi; \ |
| echo "$$col$$br$$std"; \ |
| fi; \ |
| $$success || exit 1 |
| |
| check-TESTS: |
| @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list |
| @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| trs_list=`for i in $$bases; do echo $$i.trs; done`; \ |
| log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \ |
| exit $$?; |
| recheck: all $(check_PROGRAMS) |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| bases=`for i in $$bases; do echo $$i; done \ |
| | $(am__list_recheck_tests)` || exit 1; \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| log_list=`echo $$log_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \ |
| am__force_recheck=am--force-recheck \ |
| TEST_LOGS="$$log_list"; \ |
| exit $$? |
| testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT) |
| @p='testsuite/common/bits32m0$(EXEEXT)'; \ |
| b='testsuite/common/bits32m0'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT) |
| @p='testsuite/common/bits32m31$(EXEEXT)'; \ |
| b='testsuite/common/bits32m31'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT) |
| @p='testsuite/common/bits64m0$(EXEEXT)'; \ |
| b='testsuite/common/bits64m0'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT) |
| @p='testsuite/common/bits64m63$(EXEEXT)'; \ |
| b='testsuite/common/bits64m63'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT) |
| @p='testsuite/common/alu-tst$(EXEEXT)'; \ |
| b='testsuite/common/alu-tst'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| .test.log: |
| @p='$<'; \ |
| $(am__set_b); \ |
| $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| @am__EXEEXT_TRUE@.test$(EXEEXT).log: |
| @am__EXEEXT_TRUE@ @p='$<'; \ |
| @am__EXEEXT_TRUE@ $(am__set_b); \ |
| @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \ |
| @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT) |
| check-am: all-am |
| $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) |
| $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS |
| check: check-recursive |
| all-am: Makefile $(LIBRARIES) $(HEADERS) config.h |
| installdirs: installdirs-recursive |
| installdirs-am: |
| for dir in "$(DESTDIR)$(pkgincludedir)"; do \ |
| test -z "$$dir" || $(MKDIR_P) "$$dir"; \ |
| done |
| install: install-recursive |
| install-exec: install-exec-recursive |
| install-data: install-data-recursive |
| uninstall: uninstall-recursive |
| |
| install-am: all-am |
| @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| |
| installcheck: installcheck-recursive |
| install-strip: |
| if test -z '$(STRIP)'; then \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| install; \ |
| else \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ |
| fi |
| mostlyclean-generic: |
| -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES) |
| -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS) |
| -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs) |
| -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| |
| clean-generic: |
| -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES) |
| |
| distclean-generic: |
| -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) |
| -rm -f common/$(DEPDIR)/$(am__dirstamp) |
| -rm -f common/$(am__dirstamp) |
| -rm -f igen/$(DEPDIR)/$(am__dirstamp) |
| -rm -f igen/$(am__dirstamp) |
| -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp) |
| -rm -f testsuite/common/$(am__dirstamp) |
| -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES) |
| |
| maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." |
| clean: clean-recursive |
| |
| clean-am: clean-checkPROGRAMS clean-generic clean-libtool \ |
| clean-noinstLIBRARIES mostlyclean-am |
| |
| distclean: distclean-recursive |
| -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR) |
| -rm -f Makefile |
| distclean-am: clean-am distclean-DEJAGNU distclean-compile \ |
| distclean-generic distclean-hdr distclean-libtool \ |
| distclean-tags |
| |
| dvi: dvi-recursive |
| |
| dvi-am: |
| |
| html: html-recursive |
| |
| html-am: |
| |
| info: info-recursive |
| |
| info-am: |
| |
| install-data-am: install-pkgincludeHEADERS |
| |
| install-dvi: install-dvi-recursive |
| |
| install-dvi-am: |
| |
| install-exec-am: |
| |
| install-html: install-html-recursive |
| |
| install-html-am: |
| |
| install-info: install-info-recursive |
| |
| install-info-am: |
| |
| install-man: |
| |
| install-pdf: install-pdf-recursive |
| |
| install-pdf-am: |
| |
| install-ps: install-ps-recursive |
| |
| install-ps-am: |
| |
| installcheck-am: |
| |
| maintainer-clean: maintainer-clean-recursive |
| -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| -rm -rf $(top_srcdir)/autom4te.cache |
| -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR) |
| -rm -f Makefile |
| maintainer-clean-am: distclean-am maintainer-clean-generic |
| |
| mostlyclean: mostlyclean-recursive |
| |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool |
| |
| pdf: pdf-recursive |
| |
| pdf-am: |
| |
| ps: ps-recursive |
| |
| ps-am: |
| |
| uninstall-am: uninstall-pkgincludeHEADERS |
| |
| .MAKE: $(am__recursive_targets) all check-am install-am install-strip |
| |
| .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \ |
| am--refresh check check-DEJAGNU check-TESTS check-am clean \ |
| clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \ |
| clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \ |
| distclean distclean-DEJAGNU distclean-compile \ |
| distclean-generic distclean-hdr distclean-libtool \ |
| distclean-tags dvi dvi-am html html-am info info-am install \ |
| install-am install-data install-data-am install-dvi \ |
| install-dvi-am install-exec install-exec-am install-html \ |
| install-html-am install-info install-info-am install-man \ |
| install-pdf install-pdf-am install-pkgincludeHEADERS \ |
| install-ps install-ps-am install-strip installcheck \ |
| installcheck-am installdirs installdirs-am maintainer-clean \ |
| maintainer-clean-generic mostlyclean mostlyclean-compile \ |
| mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ |
| recheck tags tags-am uninstall uninstall-am \ |
| uninstall-pkgincludeHEADERS |
| |
| .PRECIOUS: Makefile |
| |
| |
| # Generate nltvals.def for newlib/libgloss using devo and build tree. |
| # This file is shipped with distributions so we build in the source dir. |
| # Use `make nltvals' to rebuild. |
| # Note: If gdb releases begin to contain target header files (not a good idea, |
| # but if they did ...), nltvals.def coud be generated at build time. |
| # An alternative is to slurp in the tables at runtime. |
| .PHONY: nltvals |
| nltvals: |
| $(srcdir)/common/gennltvals.py --cpp "$(CPP)" |
| |
| common/version.c: common/version.c-stamp ; @true |
| common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh |
| $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp |
| $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=) |
| $(AM_V_at)touch $@ |
| |
| # Alias for developers. |
| @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT) |
| |
| # These rules are copied from automake, but tweaked to use FOR_BUILD variables. |
| @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp) |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@ |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD) |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@ |
| |
| @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp) |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD) |
| |
| # igen is a build-time only tool. Override the default rules for it. |
| @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@ |
| |
| # Build some of the files in standalone mode for developers of igen itself. |
| @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c |
| @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@ |
| |
| site-srcdir.exp: Makefile |
| echo "set srcdir \"$(srcdir)/testsuite\"" > $@ |
| |
| check-DEJAGNU: site.exp |
| LC_ALL=C; export LC_ALL; \ |
| EXPECT=${EXPECT} ; export EXPECT ; \ |
| runtest=$(RUNTEST); \ |
| if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \ |
| $$runtest $(RUNTESTFLAGS); \ |
| else echo "WARNING: could not find \`runtest'" 1>&2; :;\ |
| fi |
| |
| # These tests are build-time only tools. Override the default rules for them. |
| testsuite/common/%.o: testsuite/common/%.c |
| $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@ |
| |
| testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD) |
| |
| testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD) |
| |
| testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD) |
| |
| testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD) |
| |
| testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c |
| $(AM_V_GEN)$< 32 0 big > $@.tmp |
| $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp |
| $(AM_V_at)mv $@.tmp $@ |
| |
| testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD) |
| |
| testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c |
| $(AM_V_GEN)$< 32 31 little > $@.tmp |
| $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp |
| $(AM_V_at)mv $@.tmp $@ |
| |
| testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD) |
| |
| testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c |
| $(AM_V_GEN)$< 64 0 big > $@.tmp |
| $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp |
| $(AM_V_at)mv $@.tmp $@ |
| |
| testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp) |
| $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD) |
| |
| testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c |
| $(AM_V_GEN)$< 64 63 little > $@.tmp |
| $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp |
| $(AM_V_at)mv $@.tmp $@ |
| |
| all-recursive: $(SIM_ALL_RECURSIVE_DEPS) |
| |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. |
| .NOEXPORT: |